Bug 426990 - Review Request: mytop - A top clone for MySQL
Review Request: mytop - A top clone for MySQL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1126412
  Show dependency treegraph
 
Reported: 2007-12-29 09:14 EST by Terje Røsten
Modified: 2015-01-16 20:25 EST (History)
5 users (show)

See Also:
Fixed In Version: mytop-1.7-5.b737f60.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-04 12:34:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
opensource: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-12-29 09:14:43 EST
Spec URL: http://terjeros.fedorapeople.org/mytop/mytop.spec
SRPM URL: http://terjeros.fedorapeople.org/mytop/mytop-1.6-1.fc8.src.rpm
Description:
mytop is a console-based tool for monitoring the threads and overall
performance of MySQL servers. The user interface is modeled after
familiar top application.
Comment 1 Jason Tibbitts 2007-12-29 18:36:04 EST
Because you manually specify the DBI dependency, your final dependency list ends
up with a doubled entry for DBI.  You'll need to either filter it or just remove
the manual one.  Is there something specifically wrong with letting RPM figure
it out?  All supported Fedora releases, and indeed even RH9 and probably older,
have a much more recent version of DBI than the one you require manually, so the
versioned requirement is pretty much pointless.

* source files match upstream:
   b17c702598b10bb0ce2695f609122637c799eaaaec1afaa73246b048f07be9bd  
   mytop-1.6.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
X final provides and requires are sane:
   mytop = 1.6-1.fc9
  =
   /usr/bin/perl
   perl >= 0:5.005
   perl(DBD::mysql) >= 1
X  perl(DBI)
X  perl(DBI) >= 1.13
   perl(Getopt::Long)
   perl(Socket)
   perl(Term::ANSIColor)
   perl(Term::ReadKey) >= 2.1
   perl(Time::HiRes)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   ok 1
  Not much there; I installed the built package on a mysql server and it ran 
  fine.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Terje Røsten 2007-12-30 05:24:08 EST
> Because you manually specify the DBI dependency, your final dependency list ends
> up with a doubled entry for DBI.  You'll need to either filter it or just remove
> the manual one.

Fixed, thanks.

spec: http://terjeros.fedorapeople.org/mytop/mytop.spec
srpm: http://terjeros.fedorapeople.org/mytop/mytop-1.6-2.fc8.src.rpm
Comment 3 Jason Tibbitts 2008-01-02 20:51:22 EST
Looks good to me.

APPROVED
Comment 4 Terje Røsten 2008-01-03 15:08:01 EST
> APPROVED

Thanks, Jason!


New Package CVS Request
=======================
Package Name: mytop
Short Description: A top clone for MySQL
Owners: terjeros
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-01-03 23:22:56 EST
cvs done.
Comment 6 Terje Røsten 2008-01-04 12:34:45 EST
Thanks Kevin.

Closing, built for rawhide.
Comment 7 Mark McKinstry 2009-10-20 20:42:22 EDT
Package Change Request
======================
Package Name: mytop
New Branches: EL-4 EL-5
Owners: terjeros mmckinst
InitialCC: terjeros

I emailed terjeros, he does not wish to maintain the EPEL branches. I'd like to maintain the EL-4 and EL-5 branch myself.
Comment 8 Michal Ingeli 2010-09-05 13:25:11 EDT
Package Change Request
======================
Package Name: mytop
New Branches: el5 el6
Owners: terjeros ksyz
InitialCC: terjeros

> You are welcome to do that as I don't maintain any package in EPEL at 
> them moment.
> 
> Thanks for taking care of EPEL mytop users.
-- terjeros
Comment 9 Michal Ingeli 2010-09-05 13:27:01 EDT
(In reply to comment #7)

> I emailed terjeros, he does not wish to maintain the EPEL branches. I'd like to
> maintain the EL-4 and EL-5 branch myself.

Hey, you probably didn't set the fedora-cvs flag. When processed, feel free to ask about ACLs.
Comment 10 Kevin Fenzi 2010-09-05 13:32:53 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2010-09-06 04:01:10 EDT
mytop-1.7-4.b737f60.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mytop-1.7-4.b737f60.el5
Comment 12 Fedora Update System 2010-09-22 13:55:25 EDT
mytop-1.7-4.b737f60.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Mark McKinstry 2010-09-27 21:01:11 EDT
Kevin,

When I submitted that change, I didn't realize I had to be a package maintainer before I could set the fedora-cvs flag (still working on getting a sponsor actually).

Are you interested in doing mytop for EPEL 4? If not I can take care of EPEL 4.
Comment 14 Mark McKinstry 2010-09-27 21:28:00 EDT
Err, that should've been addressed to Michal, not Kevin.
Comment 15 Michal Ingeli 2010-09-28 08:17:35 EDT
(In reply to comment #13)

> Are you interested in doing mytop for EPEL 4? If not I can take care of EPEL 4.

Not particularly, but after changing source from xz to gzip it builds fine under EL4. I don't have EL4 anywhere around, so if you can test this [1] scratch build, I will request branch for EL4.

Feel free to ask about ACLs after you get sponsored.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=2493885
Comment 16 Mark McKinstry 2010-10-07 19:17:16 EDT
Michal,

I'm officially sponsored now. I'll take care of the EPEL 4 branch.
Comment 17 Mark McKinstry 2010-10-07 19:19:06 EDT
Package Change Request
======================
Package Name: mytop
New Branches: EL-4
Owners: terjeros mmckinst
InitialCC: terjeros
Comment 18 Mark McKinstry 2010-10-08 11:17:49 EDT
Package Change Request
======================
Package Name: mytop
New Branches: el4
Owners: terjeros mmckinst
InitialCC: terjeros
Comment 19 Kevin Fenzi 2010-10-08 16:26:22 EDT
Git done (by process-git-requests).
Comment 20 Fedora Update System 2010-10-29 00:35:57 EDT
mytop-1.7-5.b737f60.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/mytop-1.7-5.b737f60.el4
Comment 21 Fedora Update System 2010-11-15 12:26:19 EST
mytop-1.7-5.b737f60.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Barry Tucker 2014-12-24 05:26:54 EST
Package Change Request
======================
Package Name: mytop
New Branches: el6
Owners: terjeros mmckinst
InitialCC: terjeros

I noticed that mytop was retired from el5 and el6 on 2014-12-17 and would like to take ownership of it to unretire it, so it's available again in EPEL
Comment 23 Mark McKinstry 2014-12-28 14:38:17 EST
Barry,

I can't tell if you're an official Fedora package maintainer but you need to set the fedora-cvs flag and put your name in the ownership field. For now, I'll take care of the EPEL branches but feel free to take them over if you're an official maintainer.


Package Change Request
======================
Package Name: mytop
New Branches: el5 el6 epel7
Owners: terjeros mmckinst
InitialCC: terjeros
Comment 24 Till Maas 2015-01-01 15:56:32 EST
Git done (by process-git-requests).
Comment 25 Barry Tucker 2015-01-02 03:08:21 EST
Thanks Mark

Not an official fedora package maintainer...new to all this and trying to get my feet wet :)
Comment 26 Mark McKinstry 2015-01-16 20:25:17 EST
Barry,

EPEL 7 RPM is built and just marked as stable, see bug #1126412 for when it finally hits the stable repo.

Note You need to log in before you can comment on or make changes to this bug.